### Hierarchy

- unknown
  - Currency

## Index

### Constructors

- constructor

### Methods

- getCurrencyCode
- serializeBinary
- setCurrencyCode
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Currency(): Currency

- Inherited from jspb.Message.constructor

  #### Returns Currency

## Methods

### getCurrencyCode

- getCurrencyCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:7972

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7975

  #### Returns Uint8Array

### setCurrencyCode

- setCurrencyCode(value: string): Currency

- - Defined in src/protobuf/pb_pb.d.ts:7973

  #### Parameters

  - ##### value: string

  #### Returns Currency

### toObject

- toObject(includeInstance?: boolean): Currency . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7976

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Currency . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Currency

- - Defined in src/protobuf/pb_pb.d.ts:7979

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Currency

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Currency, reader: BinaryReader): Currency

- - Defined in src/protobuf/pb_pb.d.ts:7980

  #### Parameters

  - ##### message: Currency

  - ##### reader: BinaryReader

  #### Returns Currency

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Currency, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:7978

  #### Parameters

  - ##### message: Currency

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Currency ): Currency . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7977

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Currency

  #### Returns Currency . AsObject

Generated using TypeDoc